<h1>Khảo sát: {{survey.name}}</h1>
<h3>Thời gian: {{survey.start_date.split(' ').join('') | date:'dd/MM/yyyy HH:mm:ss z'}} đến {{survey.end_date.split(' ').join('') | date:'dd/MM/yyyy HH:mm:ss z'}}</h3>

<div class="site-wrap">
  <div class="question" *ngFor="let question of survey.questions">
    {{genIndex(stt)}}. {{question.name}}
    <div [ngSwitch]="question.type">
      <div class="radio" *ngSwitchCase="0">
        <div *ngFor="let option of question.options">
          <div class="option">
            <input type="radio" name="question{{question.id}}[]" value="{{option.id}}" id="radio{{question.id}}-{{option.id}}">
            <label for="radio{{question.id}}-{{option.id}}">{{option.name}}</label>
          </div>
        </div>
      </div>
      <div class="checkbox" *ngSwitchCase="1">
        <div *ngFor="let option of question.options">
          <div class="option">
            <input type="checkbox" name="question{{question.id}}[]" value="{{option.id}}" id="checkbox{{question.id}}-{{option.id}}">
            <label for="checkbox{{question.id}}-{{option.id}}">{{option.name}}</label>
          </div>
        </div>
      </div>
      <div class="text" *ngSwitchCase="2">
        <div *ngFor="let option of question.options">
          <div class="option">
            <input type="text" name="question{{question.id}}[]" value="{{option.name}}">
          </div>
        </div>
      </div>
    </div>
    <br>
  </div>
</div>
